<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
AbstractPolyhedralCone
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.impl.AbstractPolyhedralCone class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractPolyhedralCone";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractPolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultEqualityCone.html" title="class in ch.javasoft.polco.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/impl/AbstractPolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractPolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.impl</FONT>
<BR>
Class AbstractPolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.impl.AbstractPolyhedralCone&lt;Num,Arr&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/polco/impl/AbstractEqualityCone.html" title="class in ch.javasoft.polco.impl">AbstractEqualityCone</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl">AbstractInequalityCone</A>, <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="class in ch.javasoft.polco.impl">DefaultPolyhedralCone</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.54"><B>AbstractPolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
Implements methods common to most implementations of <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A>, 
 such as <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toString()"><CODE>toString()</CODE></A>.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#arrayOps">arrayOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#linAlgOps">linAlgOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberArrayOps">numberArrayOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberOps">numberOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#AbstractPolyhedralCone(ch.javasoft.math.linalg.LinAlgOperations)">AbstractPolyhedralCone</A></B>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;&nbsp;linAlgOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with linalg operations</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#appendMatrixString(boolean, java.io.PrintWriter)">appendMatrixString</A></B>(boolean&nbsp;matrixA,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;pw)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a matrix string.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the other object <code>obj</code> is a <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A> 
 instance and if both matrices <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>PolyhedralCone.getB()</CODE></A> of 
 the two cones are equal.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the operations object used to perform basic mathematical and
 linear algebra computations on the number type used for this cone</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getMatrixDimensionString(boolean)">getMatrixDimensionString</A></B>(boolean&nbsp;matrixA)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a matrix dimension string.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#hashCode()">hashCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a hash code created by combining all values of the matrices 
 <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>PolyhedralCone.getB()</CODE></A> using the XOR function.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr)">normalize</A></B>(<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&nbsp;vec)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The given vector is normalized and returned.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr[])">normalize</A></B>(<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>[]&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The given matrix is normalized and returned.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toMultilineString()">toMultilineString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes a verbose string representation of this polyhedral cone using the
 specified <code>writer</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.PolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()">getA</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">getA</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()">getB</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">getB</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">getDimensions</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">getRowCountA</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">getRowCountB</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="linAlgOps"><!-- --></A><H3>
linAlgOps</H3>
<PRE>
protected final <A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.56"><B>linAlgOps</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="arrayOps"><!-- --></A><H3>
arrayOps</H3>
<PRE>
protected final <A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.57"><B>arrayOps</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="numberArrayOps"><!-- --></A><H3>
numberArrayOps</H3>
<PRE>
protected final <A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.58"><B>numberArrayOps</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="numberOps"><!-- --></A><H3>
numberOps</H3>
<PRE>
protected final <A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.59"><B>numberOps</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractPolyhedralCone(ch.javasoft.math.linalg.LinAlgOperations)"><!-- --></A><H3>
AbstractPolyhedralCone</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.66"><B>AbstractPolyhedralCone</B></A>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;&nbsp;linAlgOps)</PRE>
<DL>
<DD>Constructor with linalg operations
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>linAlgOps</CODE> - linalg operations</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getLinAlgOperations()"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.73"><B>getLinAlgOperations</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the operations object used to perform basic mathematical and
 linear algebra computations on the number type used for this cone
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hashCode()"><!-- --></A><H3>
hashCode</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.78"><B>hashCode</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a hash code created by combining all values of the matrices 
 <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>PolyhedralCone.getB()</CODE></A> using the XOR function.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">hashCode</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.94"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">PolyhedralCone</A></CODE></B></DD>
<DD>Returns true if the other object <code>obj</code> is a <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A> 
 instance and if both matrices <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>PolyhedralCone.getB()</CODE></A> of 
 the two cones are equal.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">equals</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="normalize(java.lang.Object)"><!-- --></A><A NAME="normalize(Arr)"><!-- --></A><H3>
normalize</H3>
<PRE>
protected <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.129"><B>normalize</B></A>(<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&nbsp;vec)</PRE>
<DL>
<DD>The given vector is normalized and returned. Normalizing means for 
 instance reducing fraction numbers or rounding. The vector is not cloned,
 that is, the returned value is the same instance as <code>vec</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>vec</CODE> - the vector to normalize
<DT><B>Returns:</B><DD>the normalized vector, the same instance as <code>vec</code></DL>
</DD>
</DL>
<HR>

<A NAME="normalize(java.lang.Object)"><!-- --></A><A NAME="normalize(Arr[])"><!-- --></A><H3>
normalize</H3>
<PRE>
protected <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.148"><B>normalize</B></A>(<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>[]&nbsp;mx)</PRE>
<DL>
<DD>The given matrix is normalized and returned. Normalizing means for 
 instance reducing fraction numbers or rounding. The matrix is not cloned,
 that is, the returned value is the same instance as <code>mx</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>mx</CODE> - the matrix to normalize
<DT><B>Returns:</B><DD>the normalized matrix, the same instance as <code>mx</code></DL>
</DD>
</DL>
<HR>

<A NAME="getMatrixDimensionString(boolean)"><!-- --></A><H3>
getMatrixDimensionString</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.161"><B>getMatrixDimensionString</B></A>(boolean&nbsp;matrixA)</PRE>
<DL>
<DD>Returns a matrix dimension string. If <code>matrixA</code> is <code>true</code>,
 the string is returned for matrix <code>A</code>, otherwise for matrix 
 <code>B</code>. The returned string looks for instance as follows: 
 <code>"A:7x2"</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="appendMatrixString(boolean, java.io.PrintWriter)"><!-- --></A><H3>
appendMatrixString</H3>
<PRE>
protected void <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.181"><B>appendMatrixString</B></A>(boolean&nbsp;matrixA,
                                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;pw)</PRE>
<DL>
<DD>Returns a matrix string. If <code>matrixA</code> is <code>true</code>, the string 
 is returned for matrix <code>A</code>, otherwise for matrix <code>B</code>. The 
 returned string spans multiple lines and looks for instance as follows:
 <pre> 
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toMultilineString()"><!-- --></A><H3>
toMultilineString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.207"><B>toMultilineString</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toMultilineString()">PolyhedralCone</A></CODE></B></DD>
<DD>Writes a verbose string representation of this polyhedral cone using the
 specified <code>writer</code>. The output includes the matrix values and spans
 multiple lines.
 <p>
 If both matrices are non-empty, the written string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 }
 A = 7x2 {
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ 0 , -3 ]
   [ -1 , -1/2 ]
   [ 1/2 , -1/2 ]
 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toMultilineString()">toMultilineString</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeToMultiline(java.io.Writer)"><!-- --></A><H3>
writeToMultiline</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.212"><B>writeToMultiline</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 }
 A = 7x2 {
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ 0 , -3 ]
   [ -1 , -1/2 ]
   [ 1/2 , -1/2 ]
 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/AbstractPolyhedralCone.html#line.220"><B>toString</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toString()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 , A:7x2 , B:5x2 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toString()">toString</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractPolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultEqualityCone.html" title="class in ch.javasoft.polco.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/impl/AbstractPolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractPolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
